"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiagnosticModes = exports.JavaScriptTransformer = exports.ParallelCompilation = void 0;
const tslib_1 = require("tslib");
const javascript_transformer_1 = require("@angular/build/src/tools/esbuild/javascript-transformer");
Object.defineProperty(exports, "JavaScriptTransformer", { enumerable: true, get: function () { return javascript_transformer_1.JavaScriptTransformer; } });
const parallel_compilation_1 = require("@angular/build/src/tools/angular/compilation/parallel-compilation");
Object.defineProperty(exports, "ParallelCompilation", { enumerable: true, get: function () { return parallel_compilation_1.ParallelCompilation; } });
tslib_1.__exportStar(require("./inline-style-language"), exports);
tslib_1.__exportStar(require("./file-replacement"), exports);
tslib_1.__exportStar(require("./style-preprocessor-options"), exports);
var DiagnosticModes;
(function (DiagnosticModes) {
    DiagnosticModes[DiagnosticModes["None"] = 0] = "None";
    DiagnosticModes[DiagnosticModes["Option"] = 1] = "Option";
    DiagnosticModes[DiagnosticModes["Syntactic"] = 2] = "Syntactic";
    DiagnosticModes[DiagnosticModes["Semantic"] = 4] = "Semantic";
    DiagnosticModes[DiagnosticModes["All"] = 7] = "All";
})(DiagnosticModes || (exports.DiagnosticModes = DiagnosticModes = {}));
